org.apache.cassandra.net

## Class WriteCallbackInfo

- java.lang.Object
- - org.apache.cassandra.net.CallbackInfo
  - - org.apache.cassandra.net.WriteCallbackInfo

    public class WriteCallbackInfo
    extends CallbackInfo

### Field Summary

### Fields inherited from class org.apache.cassandra.net.CallbackInfo

`callback, serializer, target`

### Constructor Summary

Constructors
Constructor and Description
`WriteCallbackInfo(java.net.InetAddress target, IAsyncCallback callback, MessageOut message, IVersionedSerializer<?> serializer, ConsistencyLevel consistencyLevel, boolean allowHints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `shouldHint()`

### Methods inherited from class org.apache.cassandra.net.CallbackInfo

`isFailureCallback, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WriteCallbackInfo

    public WriteCallbackInfo(java.net.InetAddress target,
                             IAsyncCallback callback,
                             MessageOut message,
                             IVersionedSerializer<?> serializer,
                             ConsistencyLevel consistencyLevel,
                             boolean allowHints)

### Method Detail

#### shouldHint

    public boolean shouldHint()

Overrides:
  `shouldHint` in class `CallbackInfo`